org.apache.ignite.internal.visor.igfs

## Class VisorIgfsResetMetricsTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorIgfsResetMetricsTaskArg,Void>
    - - org.apache.ignite.internal.visor.igfs.VisorIgfsResetMetricsTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorIgfsResetMetricsTaskArg>,Void>

Deprecated.

    @GridInternal
     @GridVisorManagementTask
     @Deprecated
    public class VisorIgfsResetMetricsTask
    extends VisorOneNodeTask<VisorIgfsResetMetricsTaskArg,Void>

Resets IGFS metrics.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorIgfsResetMetricsTask()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected org.apache.ignite.internal.visor.igfs.VisorIgfsResetMetricsTask.VisorIgfsResetMetricsJob` `job(VisorIgfsResetMetricsTaskArg arg)` Deprecated.

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorIgfsResetMetricsTask

    public VisorIgfsResetMetricsTask()

Deprecated.

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.igfs.VisorIgfsResetMetricsTask.VisorIgfsResetMetricsJob job(VisorIgfsResetMetricsTaskArg arg)

Deprecated.

Specified by:
  `job` in class `VisorMultiNodeTask<VisorIgfsResetMetricsTaskArg,Void,Void>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022